Files
igncore/dummy.start.sh
T
Minidodo bb445e868d Reduced & updated dependencies.
By default, messages larger than 2.000 characters (sent via tells) get sent via slaves, if these exist.
Fixes #3
2021-10-18 19:39:14 +02:00

18 lines
380 B
Bash

#!/usr/bin/env bash
PYTHON_BINARY=python3
if ! [ -x "$(command -v $PYTHON_BINARY)" ]; then
PYTHON_BINARY=python
fi
$PYTHON_BINARY --version
source venv/bin/activate
set -o pipefail -o errexit
# The bot uses non-zero exit codes to signal state.
# The bot will restart until it returns an exit code of zero.
while true; do
python bootstrap.py "$1" && exit
sleep 1
done